Subject: Re: git-cherries

From: Thien-Thi Nguyen <[email-masked]>
Date: Fri, 02 Mar 2012 12:19:42 +0100

() Jeff King <[email-masked]>
() Mon, 27 Feb 2012 14:27:46 -0500

   So if I understand correctly, this just creates a series of commits, one
   per hunk, of what's in your working tree. And the commit messages won't
   be useful, so this is really about recording the work somewhere so that
   you can pick it out later using "git cherry-pick --no-commit", make a
   real commit from some subset of the cherries, and then throw away the
   cherries?

   I think you could do this more simply by putting everything in a single
   throw-away commit, then using "git checkout -p $throwaway" to pick the
   individual cherries from the single commit. You don't grab the commit
   message from $throwaway as you might with cherry-pick, but by definition
   it's not a very good commit message anyway.

Cool; "git checkout -p" was what i was missing.  Thanks for the tip!